#include "Fuzzy_Tank.h"
#include <SPI.h>
#include <EEPROM.h>

/*This example demonstrates how to display the ws2812 led for Fuzzy Tank*/

FuzzyTank tank; //create the fuzzy tank instance

//Example color matrix. Each color has three values: red, green, blue. 
//Each value should be in the 0~255 range. 0 means off, 255 means full bright.
uint8_t fixColor[8][3] = {
	{ 0,0,0 },
	{ 224,202,81 },
	{ 255,255,255 },
	{ 0,174,219 },
	{ 162,0,255 },
	{ 244,120,53 },
	{ 212,18,67 },
	{ 142,193,39 },
};

//The name of each color in the matrix above. 
//The total number of entries should match, however, the name itself is for user reference only.
enum color {
	C_OFF,
	C_WARM_WHITE,
	C_BRIGHT_WHITE,
	C_BLUE,
	C_PURPLE,
	C_ORANGE,
	C_RED,
	C_GREEN,
};

void setup()
{
	tank.begin();//required to initialize the tank 

	//set a new color using char array
	uint8_t newEyesColor[] = { 125,67,240 };
	uint8_t newHeadColor[] = { 44,150,88 };
	tank.setEyesColor(newEyesColor);
	tank.setHeadColor(newHeadColor);
	tank.updateColor();//this function has to be called to display the new color
	delay(3000);

	//Example to display all color patterns
	for (uint8_t i = 0; i < 8; i++)
	{
		for (uint8_t j = 0; j < 8; j++)
		{
			tank.setEyesColor(fixColor[i]);
			tank.setHeadColor(fixColor[j]);
			tank.updateColor(); //this function has to be called to display the new color
			delay(500);
		}

	}


	//turn the led off, using the fixColor 2D-array.
	tank.setEyesColor(fixColor[C_OFF]);
	tank.setHeadColor(fixColor[C_OFF]);
	tank.updateColor();//this function has to be called to display the new color
}

void loop()
{
}
